<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
InsertRow Method (IEdmSWBom)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSWBom Interface : InsertRow Method (IEdmSWBom)

Visual Basic
C#
C++/CLI

lNr
  0-based index where to insert the row; 0 to insert in first position, -1 to insert at last position

Inserts a row at the specified index.

# Syntax

Visual Basic |
--- | ---

    Function InsertRow( _
       ByVal lNr As System.Integer _
    ) As EdmSWBomRow

C# |
--- | ---

    EdmSWBomRow InsertRow(
       System.int lNr
    )

C++/CLI |
--- | ---

    EdmSWBomRow^ InsertRow(
    &   System.int lNr
    )

#### Parameters

lNr
  0-based index where to insert the row; 0 to insert in first position, -1 to insert at last position

#### Return Value

IEdmSWBomRow

# See Also

####

IEdmSWBom Interface
IEdmSWBom Members

# Availability

SOLIDWORKS PDM Professional 2021 SP03